namespace _2023._12._11;

public class Kor
{
    private double sugar;
    private double x;
    private double y;

    public Kor(double sugar, double x = 0, double y = 0)
    {
        this.sugar = sugar;
        this.x = x;
        this.y = y;
    }

    public void nagyitas(double nagyit)
    {
        sugar = sugar * nagyit;
    }

    public void kicsinyites(double kicsinyit)
    {
        sugar = sugar / kicsinyit;
    }

    public double Kerulet()
    {
        return 2 * sugar * Math.PI;
    }

    public double Terulet()
    {
        return Math.Pow(sugar, 2) * Math.PI;
    }

    public double Sugar
    {
        get {return sugar;}
    }

    public double X
    {
        get {return x;}
    }

    public double Y
    {
        get {return Y;}
    }
}

public class Tesztelo
{
    public void Tesztelo()
    {
        Kor kor = new Kor(Math.PI);
        System.Console.WriteLine($"Sugár: {kor.Sugar}");
        System.Console.WriteLine($"Középpont koordinátái: {kor.X}; {kor.Y}");
        System.Console.WriteLine($"Kerület: {kor.Kerulet} cm");
        System.Console.WriteLine($"Terület: {kor.Terulet} cm2");

        kor.nagyitas(Math.E);
        System.Console.WriteLine("Nagyítás:");
        System.Console.WriteLine($"Sugár: {kor.Sugar}");
        System.Console.WriteLine($"Középpont koordinátái: {kor.X}; {kor.Y}");
        System.Console.WriteLine($"Kerület: {kor} cm");
        System.Console.WriteLine($"Terület: {kor.Terulet} cm2");


    }
}